## mumps 5.4.1

=== Makefile ===
#
#  This file is part of MUMPS 5.4.1, released
#  on Tue Aug  3 09:49:43 UTC 2021
#
topdir = .
libdir = $(topdir)/lib

default: d

.PHONY: default all s d c z prerequisites libseqneeded clean

all: prerequisites
	cd src; $(MAKE) all
	cd examples; $(MAKE) all

s: prerequisites
	cd src; $(MAKE) s
	cd examples; $(MAKE) s

d: prerequisites
	cd src; $(MAKE) d
	cd examples; $(MAKE) d

c: prerequisites
	cd src; $(MAKE) c
	cd examples; $(MAKE) c

z: prerequisites
	cd src; $(MAKE) z
	cd examples; $(MAKE) z


# Is Makefile.inc available ?
Makefile.inc:
	@echo "######################################################################"
	@echo "# BEFORE COMPILING MUMPS, YOU MUST HAVE AN APPROPRIATE Makefile.inc"
	@echo "# FILE AVAILABLE. PLEASE CHECK THE DIRECTORY ./Make.inc FOR EXAMPLES"
	@echo "# OF Makefile.inc FILES, AND USE Make.inc/Makefile.inc.generic IF YOU"
	@echo "# NEED TO BUILD A NEW ONE. SEE ALSO THE README AND INSTALL FILES"
	@echo "######################################################################"
	@exit 1

include Makefile.inc

prerequisites: Makefile.inc $(LIBSEQNEEDED) $(libdir)/libpord$(PLAT)$(LIBEXT)

# dummy MPI library (sequential version)

libseqneeded:
	(cd libseq; $(MAKE))

# Build the libpord.a library and copy it into $(topdir)/lib
$(libdir)/libpord$(PLAT)$(LIBEXT):
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); \
	  $(MAKE) CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" RANLIB="$(RANLIB)" OUTC="$(OUTC)" LIBEXT=$(LIBEXT); \
	fi;
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cp $(LPORDDIR)/libpord$(LIBEXT) $@; \
	fi;

clean:
	(cd src; $(MAKE) clean)
	(cd examples; $(MAKE) clean)
	(cd $(libdir); $(RM) *$(PLAT)$(LIBEXT))
	(cd libseq; $(MAKE) clean)
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); $(MAKE) realclean; \
        fi;

=== examples/Makefile ===
#
#  This file is part of MUMPS 5.4.1, released
#  on Tue Aug  3 09:49:43 UTC 2021
#
topdir = ..
libdir = $(topdir)/lib

default: d

.PHONY: default all s d c z multi clean
.SECONDEXPANSION:

all:	c z s d multi

c:	csimpletest csimpletest_save_restore
z:	zsimpletest zsimpletest_save_restore
s:	ssimpletest ssimpletest_save_restore
d:	dsimpletest dsimpletest_save_restore c_example_save_restore c_example
multi:	multiple_arithmetics_example


include $(topdir)/Makefile.inc

LIBMUMPS_COMMON = $(libdir)/libmumps_common$(PLAT)$(LIBEXT)


LIBSMUMPS = $(libdir)/libsmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

ssimpletest:  $(LIBSMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBDMUMPS = $(libdir)/libdmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

dsimpletest: $(LIBDMUMPS)  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest.o  $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBCMUMPS = $(libdir)/libcmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

csimpletest: $(LIBCMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBZMUMPS = $(libdir)/libzmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

zsimpletest: $(LIBZMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest.o  $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

c_example:	$(LIBDMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


multiple_arithmetics_example:	$(LIBSMUMPS) $(LIBDMUMPS) $(LIBCMUMPS) $(LIBZMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBSMUMPS) $(LIBDMUMPS) $(LIBCMUMPS) $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

ssimpletest_save_restore:  $(LIBSMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest_save_restore.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

dsimpletest_save_restore: $(LIBDMUMPS)  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest_save_restore.o  $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

csimpletest_save_restore: $(LIBCMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest_save_restore.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

zsimpletest_save_restore: $(LIBZMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest_save_restore.o  $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

c_example_save_restore:	$(LIBDMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) -I. -I$(topdir)/include -I$(topdir)/src $(INCS) -c $*.F $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(CDEFS) -I. -I$(topdir)/include -I$(topdir)/src $(INCS) -c $*.c $(OUTC)$*.o


$(libdir)/libsmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libdmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libcmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libzmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(LIBMUMPS_COMMON):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

clean:
	$(RM) *.o [sdcz]simpletest c_example multiple_arithmetics_example ssimpletest_save_restore dsimpletest_save_restore csimpletest_save_restore zsimpletest_save_restore c_example_save_restore

=== libseq/Makefile ===
#
#  This file is part of MUMPS 5.4.1, released
#  on Tue Aug  3 09:49:43 UTC 2021
#
all: libmpiseq

.PHONY: all libmpiseq clean

topdir = ..
include $(topdir)/Makefile.inc

libmpiseq: libmpiseq$(PLAT)$(LIBEXT)

libmpiseq$(PLAT)$(LIBEXT): mpi.o mpic.o elapse.o
	$(AR)$@ mpi.o mpic.o elapse.o
	$(RANLIB) $@
.f.o:
	$(FC) $(OPTF)              -c $*.f $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(CDEFS) -I. -c $*.c $(OUTC)$*.o

clean:
	$(RM) *.o *$(LIBEXT)

=== src/Makefile ===
#
#  This file is part of MUMPS 5.4.1, released
#  on Tue Aug  3 09:49:43 UTC 2021
#
#
topdir = ..
libdir = $(topdir)/lib
incdir = $(topdir)/include

default: d

.PHONY: default all s d c z clean libcommon

all: $(incdir)/mumps_int_def.h libcommon s d c z

libcommon: $(incdir)/mumps_int_def.h
	$(MAKE) $(libdir)/libmumps_common$(PLAT)$(LIBEXT)

s: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=s $(libdir)/libsmumps$(PLAT)$(LIBEXT)

d: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=d $(libdir)/libdmumps$(PLAT)$(LIBEXT)

c: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=c $(libdir)/libcmumps$(PLAT)$(LIBEXT)

z: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=z $(libdir)/libzmumps$(PLAT)$(LIBEXT)

include $(topdir)/Makefile.inc

$(incdir)/mumps_int_def.h: build_mumps_int_def 
	./build_mumps_int_def > $(incdir)/mumps_int_def.h
build_mumps_int_def:build_mumps_int_def.o
	$(CC) $(OPTC) $(OPTL) build_mumps_int_def.o -o build_mumps_int_def

OBJS_COMMON_MOD = \
        ana_omp_m.o\
        ana_blk_m.o\
        ana_orderings_wrappers_m.o\
        double_linked_list.o\
        fac_asm_build_sort_index_ELT_m.o\
        fac_asm_build_sort_index_m.o\
        fac_descband_data_m.o\
        fac_future_niv2_mod.o\
        fac_ibct_data_m.o\
        fac_maprow_data_m.o\
        front_data_mgt_m.o\
        lr_common.o \
        mumps_comm_ibcast.o\
        mumps_l0_omp_m.o\
        mumps_memory_mod.o\
        mumps_mpitoomp_m.o\
        mumps_ooc_common.o\
        mumps_static_mapping.o\
        omp_tps_common_m.o


OBJS_COMMON_OTHER = \
        ana_blk.o\
        ana_orderings.o\
        ana_set_ordering.o\
        ana_AMDMF.o\
        bcast_errors.o\
        estim_flops.o\
        mumps_type_size.o \
        mumps_type2_blocking.o \
        mumps_version.o \
        mumps_print_defined.o \
        mumps_common.o\
        mumps_pord.o\
        mumps_metis.o\
        mumps_metis64.o\
        mumps_metis_int.o\
        mumps_scotch.o\
        mumps_scotch64.o\
        mumps_scotch_int.o\
        mumps_size.o\
        mumps_io.o\
        mumps_io_basic.o\
        mumps_io_thread.o\
        mumps_io_err.o\
        mumps_numa.o \
        mumps_thread.o \
        mumps_save_restore_C.o \
        mumps_config_file_C.o \
        mumps_thread_affinity.o \
        mumps_register_thread.o \
        tools_common.o \
        sol_common.o

OBJS_MOD =   \
        $(ARITH)ana_aux.o \
        $(ARITH)ana_aux_par.o \
        $(ARITH)ana_lr.o\
        $(ARITH)fac_asm_master_ELT_m.o\
        $(ARITH)fac_asm_master_m.o\
        $(ARITH)fac_front_aux.o\
        $(ARITH)fac_front_LU_type1.o\
        $(ARITH)fac_front_LU_type2.o\
        $(ARITH)fac_front_LDLT_type1.o\
        $(ARITH)fac_front_LDLT_type2.o\
        $(ARITH)fac_front_type2_aux.o\
        $(ARITH)fac_sispointers_m.o\
        $(ARITH)fac_lr.o\
        $(ARITH)fac_mem_dynamic.o\
        $(ARITH)fac_omp_m.o\
        $(ARITH)fac_par_m.o\
        $(ARITH)fac_sol_l0omp_m.o\
        $(ARITH)lr_core.o\
        $(ARITH)lr_stats.o\
        $(ARITH)lr_type.o\
        $(ARITH)mumps_comm_buffer.o\
        $(ARITH)mumps_config_file.o\
        $(ARITH)mumps_load.o\
        $(ARITH)mumps_lr_data_m.o\
        $(ARITH)mumps_ooc_buffer.o\
        $(ARITH)mumps_ooc.o\
        $(ARITH)mumps_sol_es.o\
        $(ARITH)mumps_save_restore.o\
        $(ARITH)mumps_save_restore_files.o\
        $(ARITH)mumps_struc_def.o\
        $(ARITH)omp_tps_m.o\
        $(ARITH)sol_lr.o\
        $(ARITH)sol_omp_m.o\
        $(ARITH)static_ptr_m.o

OBJS_OTHER = \
        $(ARITH)ini_driver.o\
        $(ARITH)ana_driver.o\
        $(ARITH)fac_driver.o\
        $(ARITH)sol_driver.o\
        $(ARITH)sol_distrhs.o\
        $(ARITH)end_driver.o\
        $(ARITH)ana_aux_ELT.o\
        $(ARITH)ana_dist_m.o\
        $(ARITH)ana_LDLT_preprocess.o\
        $(ARITH)ana_reordertree.o\
        $(ARITH)arrowheads.o\
        $(ARITH)bcast_int.o\
        $(ARITH)fac_asm_ELT.o\
        $(ARITH)fac_asm.o\
        $(ARITH)fac_b.o\
        $(ARITH)fac_distrib_distentry.o\
        $(ARITH)fac_distrib_ELT.o\
        $(ARITH)fac_lastrtnelind.o\
        $(ARITH)fac_mem_alloc_cb.o\
        $(ARITH)fac_mem_compress_cb.o\
        $(ARITH)fac_mem_free_block_cb.o\
        $(ARITH)fac_mem_stack_aux.o\
        $(ARITH)fac_mem_stack.o\
        $(ARITH)fac_process_band.o\
        $(ARITH)fac_process_blfac_slave.o\
        $(ARITH)fac_process_blocfacto_LDLT.o\
        $(ARITH)fac_process_blocfacto.o\
        $(ARITH)fac_process_bf.o\
        $(ARITH)fac_process_end_facto_slave.o\
        $(ARITH)fac_process_contrib_type1.o\
        $(ARITH)fac_process_contrib_type2.o\
        $(ARITH)fac_process_contrib_type3.o\
        $(ARITH)fac_process_maprow.o\
        $(ARITH)fac_process_master2.o\
        $(ARITH)fac_process_message.o\
        $(ARITH)fac_process_root2slave.o\
        $(ARITH)fac_process_root2son.o\
        $(ARITH)fac_process_rtnelind.o\
        $(ARITH)fac_root_parallel.o\
        $(ARITH)fac_scalings.o\
        $(ARITH)fac_determinant.o\
        $(ARITH)fac_scalings_simScaleAbs.o\
        $(ARITH)fac_scalings_simScale_util.o\
        $(ARITH)fac_sol_pool.o\
        $(ARITH)fac_type3_symmetrize.o\
        $(ARITH)ini_defaults.o\
        $(ARITH)mumps_c.o\
        $(ARITH)mumps_driver.o\
        $(ARITH)mumps_f77.o\
        $(ARITH)mumps_gpu.o\
        $(ARITH)mumps_iXamax.o\
        $(ARITH)ana_mtrans.o\
        $(ARITH)ooc_panel_piv.o\
        $(ARITH)rank_revealing.o\
        $(ARITH)sol_aux.o\
        $(ARITH)sol_bwd_aux.o\
        $(ARITH)sol_bwd.o\
        $(ARITH)sol_c.o\
        $(ARITH)sol_fwd_aux.o\
        $(ARITH)sol_fwd.o\
        $(ARITH)sol_matvec.o\
        $(ARITH)sol_root_parallel.o\
        $(ARITH)tools.o\
        $(ARITH)type3_root.o

$(libdir)/libmumps_common$(PLAT)$(LIBEXT):      $(OBJS_COMMON_MOD) $(OBJS_COMMON_OTHER)
	$(AR)$@ $?
	$(RANLIB) $@

$(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT):    $(OBJS_MOD) $(OBJS_OTHER)
	$(AR)$@ $?
	$(RANLIB) $@

# Dependencies between modules:
# i) arithmetic-dependent modules:
$(ARITH)ana_aux.o:              $(ARITH)mumps_struc_def.o \
                                mumps_static_mapping.o \
                                ana_orderings_wrappers_m.o \
                                ana_blk_m.o
$(ARITH)ana_aux_par.o:          $(ARITH)mumps_struc_def.o \
                                mumps_memory_mod.o \
                                ana_orderings_wrappers_m.o
$(ARITH)ana_lr.o:                $(ARITH)lr_core.o\
                                $(ARITH)lr_stats.o\
                                lr_common.o\
                                ana_orderings_wrappers_m.o \
                                ana_blk_m.o 
$(ARITH)fac_asm_master_ELT_m.o: omp_tps_common_m.o \
                                fac_ibct_data_m.o \
                                fac_asm_build_sort_index_ELT_m.o \
                                lr_common.o \
                                $(ARITH)fac_mem_dynamic.o \
                                $(ARITH)lr_core.o \
                                $(ARITH)ana_lr.o \
                                $(ARITH)mumps_lr_data_m.o \
                                $(ARITH)mumps_struc_def.o \
                                $(ARITH)omp_tps_m.o \
                                $(ARITH)mumps_comm_buffer.o \
                                $(ARITH)mumps_load.o 

$(ARITH)fac_asm_master_m.o:     omp_tps_common_m.o \
                                fac_ibct_data_m.o \
                                fac_asm_build_sort_index_m.o \
                                lr_common.o \
                                $(ARITH)fac_mem_dynamic.o \
                                $(ARITH)lr_core.o \
                                $(ARITH)ana_lr.o \
                                $(ARITH)mumps_lr_data_m.o \
                                $(ARITH)mumps_struc_def.o \
                                $(ARITH)omp_tps_m.o \
                                $(ARITH)mumps_comm_buffer.o \
                                $(ARITH)mumps_load.o 

$(ARITH)fac_front_aux.o:        $(ARITH)lr_type.o\
                                $(ARITH)lr_stats.o\
                                $(ARITH)mumps_comm_buffer.o\
                                $(ARITH)mumps_load.o\
                                $(ARITH)mumps_ooc.o\
                                mumps_ooc_common.o\
                                mumps_l0_omp_m.o

$(ARITH)fac_front_LU_type1.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 mumps_l0_omp_m.o

$(ARITH)fac_front_LU_type2.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)fac_front_type2_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)mumps_comm_buffer.o\
                                 mumps_comm_ibcast.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_core.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 $(ARITH)mumps_struc_def.o

$(ARITH)fac_front_LDLT_type1.o : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 mumps_l0_omp_m.o

$(ARITH)fac_front_LDLT_type2.o : $(ARITH)fac_front_aux.o\
                                 $(ARITH)fac_front_type2_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)mumps_comm_buffer.o\
                                 $(ARITH)mumps_load.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 $(ARITH)mumps_struc_def.o

$(ARITH)fac_front_type2_aux.o : mumps_ooc_common.o\
                                $(ARITH)fac_front_aux.o\
                                $(ARITH)lr_type.o\
                                $(ARITH)mumps_struc_def.o\
                                $(ARITH)mumps_comm_buffer.o\
                                $(ARITH)mumps_load.o\
                                mumps_comm_ibcast.o\
                                fac_ibct_data_m.o

$(ARITH)fac_lr.o:               $(ARITH)lr_core.o\
                                $(ARITH)lr_type.o\
                                $(ARITH)mumps_lr_data_m.o\
                                $(ARITH)lr_stats.o

$(ARITH)fac_mem_dynamic.o:      $(ARITH)mumps_load.o\
                                $(ARITH)static_ptr_m.o

$(ARITH)fac_omp_m.o:            $(ARITH)fac_asm_master_m.o\
                                $(ARITH)fac_asm_master_ELT_m.o\
                                $(ARITH)fac_front_LU_type1.o\
                                $(ARITH)fac_front_LDLT_type1.o\
                                $(ARITH)mumps_load.o\
                                $(ARITH)omp_tps_m.o\
                                $(ARITH)lr_stats.o\
                                $(ARITH)mumps_struc_def.o\
                                omp_tps_common_m.o\
                                mumps_l0_omp_m.o

$(ARITH)fac_sol_l0omp_m.o:      $(ARITH)mumps_struc_def.o

$(ARITH)fac_omp_m.o:            $(ARITH)mumps_struc_def.o \

=== debian/changelog ===
mumps (5.4.1-2) unstable; urgency=medium

  * Team upload.
  * release MUMPS 5.4 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Oct 2021 08:59:35 +0200

mumps (5.4.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Sep 2021 13:39:26 +0200

mumps (5.4.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (ABI bump from 5.3 to 5.4).

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Apr 2021 19:25:42 +0200

=== debian/control ===
Source: mumps
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell, IV" <hazelsct@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gfortran,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libptscotch-dev (>= 5.1.7.dfsg-4),
 libscalapack-mpi-dev (>= 2.0.2),
 libscotch-dev,
 mpi-default-dev
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/science-team/mumps.git
Vcs-Browser: https://salsa.debian.org/science-team/mumps
Homepage: http://mumps-solver.org/

Package: libmumps-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-headers-dev (= ${source:Version}),
 libmumps-5.4 (= ${binary:Version}),
 libscalapack-mpi-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: Direct linear systems solver - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-headers-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: libmumps-dev (<< 5.3.1-3), libmumps-seq-dev  (<< 5.3.1-3)
Replaces: libmumps-dev (<< 5.3.1-3), libmumps-seq-dev  (<< 5.3.1-3)
Description: Direct linear systems solver - development header files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides MUMPS header files used by libmumps*-dev packages.

Package: libmumps-seq-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev (= ${binary:Version}),
 libmumps-headers-dev (= ${source:Version}),
 libmumps-seq-5.4 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-dev package.

Package: libmumps-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Direct linear systems solver - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-5.4 package.

Package: libmumps-scotch-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 SCOTCH.

Package: libmumps-scotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-scotch-5.4 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 SCOTCH.

Package: libmumps-ptscotch-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 PTSCOTCH.


Package: libmumps-ptscotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-ptscotch-5.4 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 PTSCOTCH.

Package: libmumps64-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-headers-dev (= ${source:Version}),
 libmumps-64pord-5.4 (= ${binary:Version}),
 libscalapack-mpi-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps64-seq-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps64-dev (= ${binary:Version}),
 libmumps-headers-dev (= ${source:Version}),
 libmumps-64pord-seq-5.4 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps64-dev package.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Direct linear systems solver (64 bit) - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-seq-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver (64 bit) - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-64pord-5.4 package.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-scotch-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver (64 bit) - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 SCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps64-scotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps64-dev,
 libmumps-64pord-scotch-5.4 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 SCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-ptscotch-5.4
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver (64 bit) - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 PTSCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps64-ptscotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps64-dev,
 libmumps-64pord-ptscotch-5.4 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 PTSCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: mumps-test
Architecture: any
Section: math
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Example/test binaries using MUMPS
 MUMPS implements a direct solver for large sparse linear systems, with a

=== debian/tests/control ===
Tests: mumps-examples-serial
Depends: @, @builddeps@

Tests: mumps-examples-mpi
Depends: @, @builddeps@

Tests: mumps64-examples-serial
Depends: @, @builddeps@

Tests: mumps64-examples-mpi
Depends: @, @builddeps@
